Package: org.gradle.api.publish.ivy

## [Java] Interface IvyExtraInfoSpec

- org.gradle.api.publish.ivy.IvyExtraInfoSpec

- All Superinterfaces:
    IvyExtraInfo

  Represents a modifiable form of IvyExtraInfo so that "extra" info elements can be configured on an Ivy publication.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `add(String namespace, String name, String value)` Puts the specified extra element into the list of extra info elements.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface IvyExtraInfo` | `asMap, get, get`

- - ### Method Detail

    - #### public void add(String namespace, String name, String value)

      Puts the specified extra element into the list of extra info elements.

      Parameters:
        `namespace` - The namespace of the element to add
        `name` - The name of the element to add
        `value` - The value of the element to add